### Virtual Method

# Ide CompletionProvider get_icon

#### Declaration

    GIcon*
    get_icon (
      IdeCompletionProvider* self
    )

#### Description

Gets the `GIcon` to represent this provider. This may be used in UI to allow the user to filter the results to only those of this completion provider.

Available since: | 3.32

#### Return value

Returns: | `GIcon`
| A `GIcon` or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.